import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

const routes = [
  {
    //主页
    path: '/',
    name: 'index',
    component: () => import('../views/IndexView/IndexView.vue'),
    meta:{
      needlogin:true
    }
  },
  {
    //登录页
    path: '/login',
    name: 'login',
    component: () => import('../views/LoginView.vue')
  },
  // {
  //   //测试
  //   path: '/indexchar',
  //   name: 'indexchar',
  //   component: () => import('../views/IndexView/chart/LRHB.vue')
  // },
  {
    //交车排行详情页
    path: '/jiaochedetails',
    name: 'jiaochedetails',
    component: () => import('../views/IndexView/details/JCDetails.vue')
  },
  {
    //产值统计详情页
    path: '/chanzhidetails',
    name: 'chanzhidetails',
    component: () => import('../views/IndexView/details/CZDetails.vue')
  },
  {
    //保险承保核保详情页
    path: '/baoxiandetails',
    name: 'baoxiandetails',
    component: () => import('../views/IndexView/details/BXDetails.vue')
  },
  {
    //库存分析详情页
    path: '/kucunfenxidetails',
    name: 'kucunfenxidetails',
    component: () => import('../views/IndexView/details/KCFXdetails.vue')
  },
  {
    //客流分析详情页
    path: '/keliufenxidetails',
    name: 'keliufenxidetails',
    component: () => import('../views/IndexView/details/KLFXdetails.vue')
  },
  {
    //车辆库存详情页
    path: '/cheliangkucundetails',
    name: 'cheliangkucundetails',
    component: () => import('../views/IndexView/details/CLKCdetails.vue')
  },
  {
    //销售分析月度详情页
    path: '/xiaoshoufenximondetails',
    name: 'xiaoshoufenximondetails',
    component: () => import('../views/IndexView/details/XSFXmondetails.vue')
  },
  {
    //分期业务详情页
    path: '/fenqiyewudetails',
    name: 'fenqiyewudetails',
    component: () => import('../views/IndexView/details/FQYWdetails.vue')
  },
  {
    //客源分析详情页
    path: '/keyuanfenxidetails',
    name: 'keyuanfenxidetails',
    component: () => import('../views/IndexView/details/KYFXdetails.vue')
  },
  {
    //入场台次详情页
    path: '/ruchangtaicidetails',
    name: 'ruchangtaicidetails',
    component: () => import('../views/IndexView/details/RCTCdetails.vue')
  },
  {
    //入厂产值详情页
    path: '/ruchangchanzhidetails',
    name: 'ruchangchanzhidetails',
    component: () => import('../views/IndexView/details/RCCZdetails.vue')
  },
  {
    //保客分析详情页
    path: '/baokefenxidetails',
    name: 'baokefenxidetails',
    component: () => import('../views/IndexView/details/BKFXdetails.vue')
  },
]

const router = new VueRouter({
  mode: 'hash',
  base: process.env.BASE_URL,
  routes
})

export default router
